EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_GetApiKeyByName',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ApiKeys',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified API key by the API key.'
GO

IF OBJECT_ID('[ApiKeys_GetApiKeyByName]') IS NOT NULL DROP PROCEDURE [ApiKeys_GetApiKeyByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_GetApiKeyByName]
(
    @ApiKey_Text VARCHAR(50)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT * FROM [ApiKeys]
     WHERE [ApiKey_Text] = @ApiKey_Text

END
GO

GRANT EXECUTE ON [ApiKeys_GetApiKeyByName] TO [OtterUser_Role]